<?php
/*
Plugin Name: TablePressNoCacheCommentExtension
Plugin URI: http://blog.tremlas.com/TablePressNoCacheCommentExtension-plugin-details/
Description: Suppress the html comment from TablePress that indicates the rendered table came from the cache
Version: 3.40.0
Author: David Vines
Author URI: http://blog.tremlas.com
License: GPLv2
*/
/* © Copyright 2020 David Vines
 * 
 * TablePressNoCacheCommentExtension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License, version 2, as published by
 * the Free Software Foundation.
 *
 * TablePressNoCacheCommentExtension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with WordPress. If not, see https://www.gnu.org/licenses/gpl-2.0.html.
 * 
*/

function djv_TablePressNoCacheCommentExtension_no_cache_comment($content) {
 return ""; // Ignore the comment
}
add_filter( 'tablepress_cache_hit_comment', 'djv_TablePressNoCacheCommentExtension_no_cache_comment');

?>